<?php

add_action( 'admin_init', 'theme_options_init' );
add_action( 'admin_menu', 'theme_options_add_page' );

/**
 * Indizializza il plugin
 */
function theme_options_init(){
	register_setting( 'cookie_banner_options', 'cookie_banner_options', 'theme_options_validate' );
}

/**
 * Genera la voce di menu
 */
function theme_options_add_page() {
	add_options_page( __( 'Banner Cookies', 'cookie_banner' ), __( 'Banner Cookies', 'cookie_banner' ), 'edit_theme_options', 'cookie_banner', 'theme_options_do_page' );
}

/**
 * genera la pagina delle opzioni
 */
function theme_options_do_page() {
	global $style_options, $position_options, $tag_options, $consent_options, $cookies;
	
	 // Add the color picker css file       
        wp_enqueue_style( 'wp-color-picker' ); 
         
        // Include our custom jQuery file with WordPress Color Picker dependency
        wp_enqueue_script( 'custom-script-handle', plugins_url( 'bn-admin.js', __FILE__ ), array( 'wp-color-picker' ), false, true );
	
	if ( ! isset( $_REQUEST['settings-updated'] ) )
		$_REQUEST['settings-updated'] = false;

	?>
	
	
		
	<div class="wrap">
		<?php screen_icon(); echo "<h2>" . __( ' Impostazioni Banner Cookies', 'cookie_banner' ) . "</h2>"; ?>

		<?php if ( false !== $_REQUEST['settings-updated'] ) : ?>
<!-- 		<div class="updated fade"><p><strong><?php _e( 'Options saved', 'cookie_banner' ); ?></strong></p></div> -->
		<?php endif; ?>
		<form method="post" action="options.php">
			<?php settings_fields( 'cookie_banner_options' ); ?>
			<?php $options = get_option( 'cookie_banner_options' );	?>

			<table class="form-table" width="600">
				<tr>
					<td style="padding:0;height:40px;width:120px">
						Nome cookie: </td>
					<td>
						<input id="cookie_banner_options[cookie]" class="regular-text" type="text" name="cookie_banner_options[cookie]" value="<?php esc_attr_e( (isset($options['cookie']) ? $options['cookie'] : 'cookie-accettati' )); ?>" />
					</td>
				</tr>
				<tr>
					<td style="padding:0;height:40px">Durata cookie: </td>
					<td>
						<strong>1 anno</strong>
					</td>
				</tr>
				<tr>
					<td style="padding:0;height:40px">
						Posizione:</td>
					<td>
						<select name="cookie_banner_options[posizione]" id="cookie_banner_options[posizione]">
							<option value="bottom" <?=($options['posizione']!='top')?'selected':''?>>In basso</option>
							<option value="top" <?=($options['posizione']=='top')?'selected':''?>>In alto</option>
						</select>
					</td>
				</tr>
				

				<tr>
					<td style="padding:0;height:40px">
						Colore sfondo:</td>
					<td>
						 <input id="cookie_banner_options[bg]" class="my-color-field" type="text" name="cookie_banner_options[bg]" value="<?php esc_attr_e( (isset($options['bg']) ? $options['bg'] : '#000' )); ?>" />
					</td>
				</tr>
				<tr>
					<td style="padding:0;height:40px">
						Colore carattere:</td>
					<td>
						 <input id="cookie_banner_options[fc]" class="my-color-field" type="text" name="cookie_banner_options[fc]" value="<?php esc_attr_e( (isset($options['fc']) ? $options['fc'] : '#fff' )); ?>" />
						 
					</td>
				</tr>
				<tr>
					<td style="padding:0;height:40px">
						Colore link:</td>
					<td>
						 <input id="cookie_banner_options[lc]" class="my-color-field" type="text" name="cookie_banner_options[lc]" value="<?php esc_attr_e( (isset($options['lc']) ? $options['lc'] : '#fff' )); ?>" />
					</td>
				</tr>
				<tr>
					<td style="padding:0;height:40px" colspan="2"><br/>
						Messaggio:<br/>
						 <textarea id="cookie_banner_options[messaggio]" class="regular-text" style="width:800px;height:100px" name="cookie_banner_options[messaggio]"><?php esc_attr_e( (isset($options['messaggio']) ? $options['messaggio'] : 'Utilizziamo i cookie per rendere migliore la tua esperienza di navigazione.<br/>Chiudendo questo banner, scorrendo questa pagina o cliccando qualunque suo elemento<br/>acconsenti all\'uso dei cookie.<br/>' )); ?>
						 </textarea>
					</td>
				</tr>
				<tr>
					<td style="padding:0;height:40px">
						Nome link: </td>
					<td><input id="cookie_banner_options[link_name]" class="regular-text" type="text" name="cookie_banner_options[link_name]" value="<?php esc_attr_e( (isset($options['link_name']) ? $options['link_name'] : 'Maggiori informazioni' )); ?>" />
					</td>
				</tr>
				<tr>
					<td style="padding:0;height:40px">
						Indirizzo link: </td>
					<td><input id="cookie_banner_options[link_url]" class="regular-text" type="text" name="cookie_banner_options[link_url]" value="<?php esc_attr_e( (isset($options['link_url']) ? $options['link_url'] : '#' )); ?>" />
					</td>
				</tr>
				
				<tr>
					<td style="padding:0;height:40px" colspan="2"><br/>
						Accetta con clic punto qualsiasi del sito:
						<select name="cookie_banner_options[mask]" id="cookie_banner_options[mask]">
							<option value="N">No</option>
							<option value="S" <?=($options['mask']=='S')?'selected':''?>>Sì</option>
						</select>
					</td>
				</tr>
				
				<tr>
					<td style="padding:0;height:40px" colspan="2">
						Accetta con scroll:
						<select name="cookie_banner_options[scroll]" id="cookie_banner_options[scroll]">
							<option value="N">No</option>
							<option value="S" <?=($options['scroll']=='S')?'selected':''?>>Sì</option>
							
						</select>
					</td>
				</tr>
				<tr>
					<td  style="padding:0;height:40px" colspan="2"><br/>
					<p class="submit">
					<input type="submit" class="button-primary" value="<?php _e( 'Salva', 'cookie_banner' ); ?>" />
					</p>
					</td>
				</tr>
				<tr valign="top">
					<th scope="row" colspan="2"><hr/><br/><h2><?php _e( 'Maschera identificativa banner', 'cookie_banner' ); ?></h2><br/>
						Opzione attiva solo con opzione l'opzione "Accetta con clic punto qualsiasi del sito" è attiva</th>
				</tr>
				
				<tr>
					<td style="padding:0" colspan="2"><br/>
						Attiva una maschera opaca finchè il banner è attivo <span style="font-style:italic">(0 trasparente, 1 colore pieno, 0.5 metà trasparenza)</span>:<br/>
						 <input id="cookie_banner_options[opacity_mask]" class="regular-text" type="text" name="cookie_banner_options[opacity_mask]" value="<?php esc_attr_e( (isset($options['opacity_mask']) ? $options['opacity_mask'] : '0' )); ?>" />
					</td>
				</tr>
				<tr>
					<td style="padding:0" colspan="2"><br/>
						Colore maschera opaca <span style="font-style:italic">(es. #FFFFFF->bianca)</span>:<br/>
						 <input id="cookie_banner_options[color_mask]" class="regular-text" type="text" name="cookie_banner_options[color_mask]" value="<?php esc_attr_e( (isset($options['color_mask']) ? $options['color_mask'] : '#FFFFFF' )); ?>" />
					</td>
				</tr>
				<tr>
					<td  style="padding:0" colspan="2"><br/>
					<p class="submit">
					<input type="submit" class="button-primary" value="<?php _e( 'Salva', 'cookie_banner' ); ?>" />
					</p>
					</td>
				</tr>

				<tr valign="top">
					<th scope="row" colspan="2"><hr/><br/><h2><?php _e( 'Anonimizzare Google Analytics', 'cookie_banner' ); ?></h2></th>
				</tr>
				<tr>
					<td style="padding:0" colspan="2">
					<!--Per tutto quanto non strettamente utilizzato tramite plugin è necessario inserire manualmente per ogni script che si desidera disattivare
					un codice script come nell'esempio:<br/><br/>
					
					<h3>Bloccare i cookie tramite shortcode</h3>
					<br/>
					Se volete bloccare i delle parti di codice tramite shortcode prima dell'ccettazione preventiva inserire prima e dopo la parte da bloccare lo shorcode [cookie3d] come nell'esempio:<br/>
					
					<pre style="background:#FFF;border:1px solid #000;padding:20px">
					<?php echo htmlentities("[cookie3d]<iframe ...></iframe>[/cookie3d]");?>
					</pre><br/>
					Tutto quello presente tra lo shortcode non verrà caricato a video prima dell'accettazione dei cookie di terze parti.<br/>
					ATTENZIONE! Lo sblocco di tali funzioni avverrà solo dopo l'aggiornamento della pagina
					<br/><br/>-->
					
					Se non avete ancora provveduto ad anonimizzare il vostro tracking google analytics vi consigliamo di farlo inserendo questa stringa di codice (<strong>in base al tipo di analytics in uso</strong>) dopo
					la dichiarazione dell'ID di tracking:<br/><br/>
					<span style="color:red">
					ga('set', 'anonymizeIp', true);
					</span><br/><br/>
					<span style="color:red">
					_gaq.push(['_gat._anonymizeIp']);
					</span><br/><br/>
					
					Esempio per google analytics ANONIMIZZATO:<br/><br/>
					PRIMA
					<pre style="background:#FFF;border:1px solid #000;padding:20px">
					<?php echo htmlentities("<script>
  						(function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
  						(i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
  						m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
  						})(window,document,'script','//www.google-analytics.com/analytics.js','ga');

  						ga('create', 'UA-XXXXXXXX-1', 'auto');
  						
  						ga('send', 'pageview');

					</script>");?>
					</pre><br/><br/>
					
					DOPO<br/>
					<pre style="background:#FFF;border:1px solid #000;padding:20px">
					<?php echo htmlentities("<script>
  						(function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
  						(i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
  						m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
  						})(window,document,'script','//www.google-analytics.com/analytics.js','ga');

  						ga('create', 'UA-XXXXXXXX-1', 'auto');
  						ga('set', 'anonymizeIp', true);
  						ga('send', 'pageview');

					</script>");?>
					</pre>
					</td>
				</tr>
			</table>

			<span style="font-size:10px">Questo è un plugin gratuito fornito da Aganis Web Software. Si tratta di un plugin semplice ed essenziale quindi non aspettarti di trovare impostazioni complesse o blocco preventivo dei cookie.<br/>
		Ricordati che prima di impostare questo plugin è importante che tu abbia creato o abbia già la tua pagina di Policy riguardante i cookie. Aganis Web Software non si assume nessuna responsabilità
		sull'utilizzo di tale plugin e per le sue funzionalità.<br/>
		Questo plugin è stato realizzato da <a href="http://www.aganis.it" title="realizzazione siti web">Aganis Web Software</a> utilizzando una libreria pubblicata da Diego Perini (diego.perini at gmail.com) su <a href="https://github.com/dobarkod/cookie-banner" target="_blank">gitHub</a>. Aganis Web Software si solo occupata di realizzare un plugin che andasse a configurare tale libreria per la visualizzazione del banner ed ad inserirla all'interno di un sito wordpress.</span>
		</form>
	</div>
	
	<script type="text/javascript">
	jQuery(document).ready(function($){
    $('.my-color-field').wpColorPicker();
	});	
	</script>
	<?php
}

/**
 * Salva le opzioni
 */
function theme_options_validate( $input ) {
	global $style_options, $position_options;

	return $input;
}
